Taifa Identity. Docs
OpenAPI
Developers

API reference

Organization requests

Management API contract View .md

11 management API operations for Organization requests.

GET/v1/me/organization-requests

Mine

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
cursorquerystring | nullNo
limitqueryintegerNoValidation: minimum 1; maximum 100

Request body

This operation has no request body.

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

POST/v1/me/organization-requests

Create

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
idempotency-keyheaderstringYes

Request body

application/jsonRequiredRequestFields

FieldTypeRequiredDescription
namestringYesValidation: min length 2; max length 200
organization_typestringYesValidation: min length 2; max length 100
websitestringYesValidation: min length 8; max length 2048
domainsstring[]YesValidation: min items 1; max items 10
purposestringYesValidation: min length 12; max length 4000
contactsContact[]YesValidation: min items 1; max items 10
reasonstringYesValidation: min length 8; max length 500

Responses

201Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

GET/v1/me/organization-requests/{request_id}

Mine One

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
request_idpathstringYes

Request body

This operation has no request body.

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

POST/v1/me/organization-requests/{request_id}/resubmit

Resubmit

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
request_idpathstringYes
idempotency-keyheaderstringYes

Request body

application/jsonRequiredidentity__organization_requests__Resubmit

FieldTypeRequiredDescription
namestringYesValidation: min length 2; max length 200
organization_typestringYesValidation: min length 2; max length 100
websitestringYesValidation: min length 8; max length 2048
domainsstring[]YesValidation: min items 1; max items 10
purposestringYesValidation: min length 12; max length 4000
contactsContact[]YesValidation: min items 1; max items 10
reasonstringYesValidation: min length 8; max length 500
expected_versionintegerYesValidation: minimum 1

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

POST/v1/me/organization-requests/{request_id}/withdraw

Withdraw

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
request_idpathstringYes
idempotency-keyheaderstringYes

Request body

application/jsonRequiredTransition

FieldTypeRequiredDescription
expected_versionintegerYesValidation: minimum 1
reasonstringYesValidation: min length 8; max length 500

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

GET/v1/organization-requests

Review List

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
statusquerystring | nullNo
cursorquerystring | nullNo
limitqueryintegerNoValidation: minimum 1; maximum 100

Request body

This operation has no request body.

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

GET/v1/organization-requests/{request_id}

Review One

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
request_idpathstringYes

Request body

This operation has no request body.

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

POST/v1/organization-requests/{request_id}/claim

Claim

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
request_idpathstringYes
idempotency-keyheaderstringYes

Request body

application/jsonRequiredTransition

FieldTypeRequiredDescription
expected_versionintegerYesValidation: minimum 1
reasonstringYesValidation: min length 8; max length 500

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

POST/v1/organization-requests/{request_id}/request-changes

Request Changes

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
request_idpathstringYes
idempotency-keyheaderstringYes

Request body

application/jsonRequiredDecision

FieldTypeRequiredDescription
expected_versionintegerYesValidation: minimum 1
reasonstringYesValidation: min length 8; max length 500
decision_reasonstringYesValidation: min length 8; max length 500

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

POST/v1/organization-requests/{request_id}/reject

Reject

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
request_idpathstringYes
idempotency-keyheaderstringYes

Request body

application/jsonRequiredDecision

FieldTypeRequiredDescription
expected_versionintegerYesValidation: minimum 1
reasonstringYesValidation: min length 8; max length 500
decision_reasonstringYesValidation: min length 8; max length 500

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

POST/v1/organization-requests/{request_id}/approve

Approve

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
request_idpathstringYes
idempotency-keyheaderstringYes

Request body

application/jsonRequiredTransition

FieldTypeRequiredDescription
expected_versionintegerYesValidation: minimum 1
reasonstringYesValidation: min length 8; max length 500

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

Popular

Browse by section